Bug 839097 - Review Request: python-flask-autoindex - A mod_autoindex for Flask
Review Request: python-flask-autoindex - A mod_autoindex for Flask
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On: 839098
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 18:55 EDT by Paulo Andrade
Modified: 2012-11-26 23:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 19:19:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
karlthered: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paulo Andrade 2012-07-10 18:55:52 EDT
Spec URL: http://fedorapeople.org/~pcpa/python-flask-autoindex.spec
SRPM URL: http://fedorapeople.org/~pcpa/python-flask-autoindex-0.4.1-1.fc18.src.rpm
Description: Flask-AutoIndex generates an index page for your Flask application
automatically. The result just like mod_autoindex, but the look is
more awesome!
Fedora Account System Username:pcpa
Comment 1 Paulo Andrade 2012-07-10 18:56:14 EDT
This package is also required by sagemath 5.2 beta.
Comment 2 Haïkel Guémar 2012-08-05 05:38:45 EDT
Please look at https://bugzilla.redhat.com/show_bug.cgi?id=839071
For this one, it has a missing dependency on python-flask-silk (i fixed the ticket to reflect that).

As soon as it is fixed and python-flask-silk is accepted, i'll run the formal review.
Comment 3 Paulo Andrade 2012-08-05 10:51:57 EDT
Thanks for the comments.
I corrected the dependency on python-flask-silk in the package.
Also removed setting CFLAGS for a noarch package.
There is no kind of "make check" and like -silk it is a very
small and simple package, but this one has on version requirement:

...
    install_requires=[
        'Flask>=0.7.1',
        'Flask-Silk'
    ],
...

Package update:

Spec URL: http://fedorapeople.org/~pcpa/python-flask-autoindex.spec
SRPM URL: http://fedorapeople.org/~pcpa/python-flask-autoindex-0.4.1-2.fc18.src.rpm
Comment 4 Paulo Andrade 2012-08-17 22:49:05 EDT
I updated the package to have proper build requires,
but still needs python-flask-silk reviewed and built
for a "proper" review.

Update:
Spec URL: http://fedorapeople.org/~pcpa/python-flask-autoindex.spec
SRPM URL: http://fedorapeople.org/~pcpa/python-flask-autoindex-0.4.1-3.fc19.src.rpm
Comment 5 Paulo Andrade 2012-09-13 21:08:23 EDT
Same issue with python-setuptools as #839071

Update:
Spec URL: http://fedorapeople.org/~pcpa/python-flask-autoindex.spec
SRPM URL: http://fedorapeople.org/~pcpa/python-flask-autoindex-0.4.1-4.fc19.src.rpm
Comment 6 Paulo Andrade 2012-09-18 20:16:17 EDT
Updated the package to report upstream the missing LICENSE file and tests subdirectory at https://github.com/sublee/flask-autoindex/issues/3

Also corrected incoherent-version-in-changelog rpmlint issue (was using 0.4 instead of 0.4.1)

I added the LICENSE file full link as a comment because for some reason fedora-review would fail to generate python-flask-autoindex/python-flask-autoindex-review.txt with an weird error of not being able to unpack %{SOURCE1}.

Please review with rawhide mock as one build requires is only in rawhide, and this package is meant for f19+.

Updated package:
Spec URL: http://fedorapeople.org/~pcpa/python-flask-autoindex.spec
SRPM URL: http://fedorapeople.org/~pcpa/python-flask-autoindex-0.4.1-5.fc19.src.rpm
Comment 7 Haïkel Guémar 2012-09-19 10:38:52 EDT
As this package respects Fedora general and Python specific guidelines, i hereby approve it to enter Fedora Packages Collection.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (Flask-AutoIndex-0.4.1.tar.gz) Source1 (LICENSE)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:

Rpmlint
-------
Checking: python-flask-autoindex-0.4.1-5.fc19.noarch.rpm
          python-flask-autoindex-0.4.1-5.fc19.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
python-flask-autoindex-0.4.1-5.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    python(abi) = 2.7
    python-flask  
    python-flask-silk  

Provides
--------
python-flask-autoindex-0.4.1-5.fc19.noarch.rpm:
    
    python-flask-autoindex = 0.4.1-5.fc19

MD5-sum check
-------------
http://pypi.python.org/packages/source/F/Flask-AutoIndex/Flask-AutoIndex-0.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : 0114fe739dc875a17f7e0b6f5a1d6dc4ebf3b1bbb26fd7ba3792b7b71e73c8f5
  CHECKSUM(SHA256) upstream package : 0114fe739dc875a17f7e0b6f5a1d6dc4ebf3b1bbb26fd7ba3792b7b71e73c8f5


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 839097 -m fedora-rawhide-x86_64
External plugins:
Comment 8 Paulo Andrade 2012-09-19 12:54:56 EDT
New Package SCM Request
=======================
Package Name: python-flask-autoindex
Short Description: A mod_autoindex for Flask
Owners: pcpa
Branches: 
InitialCC:
Comment 9 Paulo Andrade 2012-09-19 12:55:25 EDT
New Package SCM Request
=======================
Package Name: python-flask-autoindex
Short Description: A mod_autoindex for Flask
Owners: pcpa
Branches: 
InitialCC:
Comment 10 Jon Ciesla 2012-09-19 13:05:31 EDT
Git done (by process-git-requests).
Comment 11 Paulo Andrade 2012-09-19 19:02:03 EDT
I did minor changes and bumped the package release after the review as shortly after the package was reviewed upstream uploaded a newer tarball (with same version) in response of my request (https://github.com/sublee/flask-autoindex/issues/3) to add the LICENSE file and contents of the tests directory to the tarball (as well as correct a missing file that was causing a test failure).
Comment 12 Paulo Andrade 2012-09-19 19:19:33 EDT
python-flask-autoindex has been successfully built in rawhide.
Comment 13 Paulo Andrade 2012-11-18 08:10:00 EST
Package Change Request
======================
Package Name: python-flask-autoindex
New Branches: f18
Owners: pcpa
InitialCC: pcpa

It may actually be possible to make a sagemath package
update for f18, and this is one of the few dependencies.
Comment 14 Jon Ciesla 2012-11-18 12:08:16 EST
Git done (by process-git-requests).
Comment 15 Paulo Andrade 2012-11-18 13:49:34 EST
An update will be requested once the python-flask-silk
build requires reach f18.
Comment 16 Fedora Update System 2012-11-23 09:43:40 EST
python-flask-autoindex-0.4.1-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-flask-autoindex-0.4.1-6.fc18
Comment 17 Fedora Update System 2012-11-26 23:47:52 EST
python-flask-autoindex-0.4.1-6.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.